-record(ak,
        {name    = ""    :: string(),
         id      = <<>>  :: clutch:id(),
         balance = 0     :: non_neg_integer(),
         history = []    :: [clutch:tx()],
         checked = never :: never | clutch:ts()}).


-record(tx,
        {id      = none  :: none | clutch:id(),
         amount  = 0     :: non_neg_integer(),
         type    = spend :: spend | atom()}).


-record(key,
        {name = ""           :: string(),
         id   = <<>>         :: clutch:id(),
         pair = #{}          :: #{public := binary(), secret := binary()},
         type = {eddsa, 256} :: {Cipher :: atom, Bitsize :: pos_integer()}}).
